# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.CreateOrUpdateRequest do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :transaction
  ]

  @type t :: %__MODULE__{
    :transaction => FoyerAPI.Model.Transaction.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.CreateOrUpdateRequest do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:transaction, :struct, FoyerAPI.Model.Transaction, options)
  end
end

